# Lists all merchandise Lists all merchandise Endpoint: GET /merchandise/{tenantId}/public Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The tenant ## Query parameters: - `exclusiveStartKey` (string) The start key, if you're making a subsequent request - `categoryIds` (string) The category IDs to filter ## Response 200 fields (application/json): - `Items` (array) - `Items.category_ids` (array) The categories to which this product belongs - `Items.date_added` (string) The date that this product was added to inventory - `Items.enable_special_prices` (boolean) Special prices are are enabled - `Items.id` (string) The unique identifier of the merchandise - `Items.image_url` (string) Image to be displayed of the product - `Items.is_featured` (boolean) Whether this product is featured - `Items.is_new` (boolean) Whether this product is new - `Items.member_price` (number) The price of the product for an active member in the store currency - `Items.name` (string) The name of the merchandise - `Items.price` (number, required) The price of the product in the store currency - `Items.sellable_from` (string) Date/time from which this product is sellable - `Items.sellable_until` (string) Date/time until which this product is sellable - `Items.sort_order` (number) The sort order of hte product - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields